Page MenuHomeFreeBSD

Update multimedia/emby-server to 4.0.2.0
ClosedPublic

Authored by driesm.michiels_gmail.com on Feb 8 2019, 7:57 PM.

Details

Summary

This patch updates emby-server to the latest and greatest version which brings multiple improvements.
Release Notes: https://emby.media/community/index.php?/blog/1/entry-447-announcing-emby-server-40/

This patch also unbreaks the current emby-server port which experiences shared library errors.
Shared library errors: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=232966

Test Plan

QA checked:
portlint -ac
poudriere testport -j head
poudriere testport -j stable12
poudriere testport -j stable11

Emby-server 4.0.2.0 has been running fine on my system based on the provided patch.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jbeich added subscribers: multimedia, jbeich.

multimedia doesn't maintain this port. Redirecting to the larger pool of ports/ committers.

tcberner added inline comments.
multimedia/emby-server/Makefile
8 ↗(On Diff #53710)

^ you could probably get away with setting DISTVERSIONPREFIX=netframework_

10 ↗(On Diff #53710)

^can't you use the ffmpeg from ports?

multimedia/emby-server/files/ImageMagickSharp.dll.config.in
2 ↗(On Diff #53710)

^ this should probably be called %%LOCALBASE%%

multimedia/emby-server/files/SQLitePCLRaw.provider.sqlite3.dll.config.in
2 ↗(On Diff #53710)

^same

multimedia/emby-server/pkg-message
1 ↗(On Diff #53710)

^ why not just add lame as a fixed dependency / make it default on?

mat added a comment.Feb 9 2019, 8:56 AM

Could you use devel/arcanist, or at least generate a diff with full context like it does, with svn diff -x -U9999 or git diff -U9999.

multimedia/emby-server/Makefile
8 ↗(On Diff #53710)

Mmm, but PORTNAME is emby-server, and DISTNAME as embyserver, it would not change a lot, except defining one more variable.

52 ↗(On Diff #53710)

Wrong place in the Makefile. See Chapter 15. Order of Variables in Port Makefiles.

(Should go in the USES block)

73–104 ↗(On Diff #53710)

Wrong place in the Makefile. See Chapter 15. Order of Variables in Port Makefiles.

(Should go before options)

108–110 ↗(On Diff #53710)

For single files, please use the INSTALL_* macros.

multimedia/emby-server/pkg-message
1 ↗(On Diff #53710)

Probably because of license. Either the port has a package, or it has LAME on and has no package, so it still has to be built manually.

driesm.michiels_gmail.com marked an inline comment as done.Feb 9 2019, 12:20 PM
driesm.michiels_gmail.com updated this revision to Diff 53728.

Address comments from mat & tcberner

driesm.michiels_gmail.com marked 5 inline comments as done.Feb 9 2019, 12:22 PM
driesm.michiels_gmail.com added inline comments.
multimedia/emby-server/Makefile
10 ↗(On Diff #53710)

Emby uses a customized ffmpeg with local patches to provide features and tailor it for Emby. For example, transcoding throttling which is a big feature for this release. I asked if they can upstream as much as possible, as it would be a lot cleaner if we could depend on the ffmpeg in our tree. Although, I don't see this happening in the short term.

FYI: https://emby.media/community/index.php?/topic/12906-freebsd-package/?p=677067

multimedia/emby-server/pkg-message
1 ↗(On Diff #53710)

Exactly this!

mat added inline comments.Feb 10 2019, 7:47 AM
multimedia/emby-server/Makefile
9 ↗(On Diff #53728)

This should be ${DISTNAME}.zip.

12 ↗(On Diff #53728)

This file name is too generic, please use DIST_SUBDIR.

13 ↗(On Diff #53728)

DISTNAME here too.

60 ↗(On Diff #53728)

Are you sure about this one?

62–63 ↗(On Diff #53728)

Why +=?

  • Address mat comments
  • Remove unneeded clutter in rc script
  • Streamline ffmpeg configure args

Rechecked QA with poudriere testport and portlint.

driesm.michiels_gmail.com marked 7 inline comments as done.Feb 10 2019, 3:29 PM
multimedia/emby-server/Makefile
60 ↗(On Diff #53728)

I have tried building the ffmpeg without this set but then it fails to build.

lwhsu added a subscriber: woodsb02.Feb 12 2019, 7:57 AM
lwhsu added a subscriber: lwhsu.
lwhsu added inline comments.
multimedia/emby-server/Makefile
1 ↗(On Diff #53739)

@woodsb02 Ben, are you OK for removing this line?

mat added inline comments.Feb 12 2019, 12:11 PM
multimedia/emby-server/Makefile
47 ↗(On Diff #53739)

Is tar:xz needed?

woodsb02 added inline comments.Feb 12 2019, 1:23 PM
multimedia/emby-server/Makefile
1 ↗(On Diff #53739)

Yes

Remove unneeded use of tar:xz.

driesm.michiels_gmail.com marked an inline comment as done.Feb 12 2019, 6:40 PM
driesm.michiels_gmail.com added inline comments.
multimedia/emby-server/Makefile
47 ↗(On Diff #53739)

Good catch! Its not needed anymore; updated diff accordingly.

miwi added a subscriber: miwi.Feb 13 2019, 3:32 AM
mat added inline comments.Feb 14 2019, 11:37 AM
multimedia/emby-server/files/emby-server.in
26 ↗(On Diff #53842)

PREFIX (Actually, you copied the typo.)

driesm.michiels_gmail.com marked an inline comment as done.Feb 14 2019, 5:02 PM
driesm.michiels_gmail.com updated this revision to Diff 53926.

Fix typo's in RC script.

driesm.michiels_gmail.com marked an inline comment as done.Feb 14 2019, 5:03 PM
mat added inline comments.Feb 15 2019, 11:28 AM
multimedia/emby-server/Makefile
66 ↗(On Diff #53926)

No need for += either.

Remove unneeded += for configure args.

driesm.michiels_gmail.com marked an inline comment as done.Feb 15 2019, 5:51 PM
driesm.michiels_gmail.com retitled this revision from Update multimedia/emby-server to 4.0.1.0 to Update multimedia/emby-server to 4.0.2.0.Feb 21 2019, 4:45 PM
driesm.michiels_gmail.com updated this revision to Diff 54188.
  • Upstream released Emby-server 4.0.2.0 so update to latest version
  • Link ffmpeg with x265
  • Remove X11 as option (as it defaulted to on anyway and USE_XORG=x11 is set)

Retested QA with poudriere testport and portlint -ac.

driesm.michiels_gmail.com edited the test plan for this revision. (Show Details)Feb 23 2019, 10:21 AM
driesm.michiels_gmail.com updated this revision to Diff 54247.

Re-add X11 option as there is interest for this in the community and an extra option doesn't hurt anyway.
Also handy for people wanting to keep their system clean of X11 and extra libraries.

This is the final diff from my part. If a committer could go over it one last time :).
Thanks to everyone who has helped getting this reviewed!

QA checked:
Poudriere testport
Portlint -ac

Remove trailing slash in LIB_DEPENDS

lwhsu accepted this revision.Feb 26 2019, 12:48 PM

I think this is fine. @mat , I'm going to commit this patch, are you ok with this?

This revision is now accepted and ready to land.Feb 26 2019, 12:48 PM

Looks good to me too, approved!

This revision was automatically updated to reflect the committed changes.